Option Explicit
Type TRECT
     Left As Integer
     Top As Integer
     Right As Integer
     Bottom As Integer
End Type
Declare Function LoadDLLBitmap Lib "gblib1.dll" (ByVal sz_DLLFile As String, ByVal sz_BITMAP_ResName As String, ByVal hWnd As Integer, ByVal Stretch As Integer) As Integer
Declare Function LoadDLLBitmapTo Lib "gblib1.dll" (ByVal sz_DLLFile As String, ByVal sz_BITMAP_ResName As String, ByVal hWnd As Integer, ByVal i_Left As Integer, ByVal i_Top As Integer, ByVal i_Right As Integer, ByVal i_Bottom As Integer) As Integer
Declare Function LoadDLLBitmapFrom Lib "gblib1.dll" (ByVal sz_DLLFile As String, ByVal sz_BITMAP_ResName As String, ByVal hWnd As Integer, ByVal i_Left As Integer, ByVal i_Top As Integer, ByVal i_Right As Integer, ByVal i_Bottom As Integer) As Integer
Declare Function PlayDLLWave Lib "gblib1.dll" (ByVal sz_DLLFile As String, ByVal sz_WAVE_ResName As String) As Integer
Declare Function GetDLLText Lib "gblib1.dll" (ByVal sz_DLLFile As String, ByVal sz_TEXT_ResName As String, ByVal sz_Buffer As String, i_BufferMaxLen As Integer) As Integer
Declare Function GetDLLBitmapSize Lib "gblib1.dll" (ByVal sz_DLLFile As String, ByVal sz_BITMAP_ResName As String, MyRECT As TRECT) As Integer
Declare Function LoadDLLDialog Lib "gblib1.dll" (ByVal sz_DLLFile As String, ByVal sz_DIALOG_ResName As String, ByVal hWind As Integer) As Integer
Declare Function LoadDLLCursor Lib "gblib1.dll" (ByVal sz_DLLFile As String, ByVal sz_CURSOR_ResName As String, ByVal hWind As Integer) As Integer

Declare Function LoadDLLIcon Lib "gblib1.dll" (ByVal sz_DLLFile As String, ByVal sz_ICO_Resname As String, ByVal hWind As Integer) As Integer
Declare Function LoadEXEIcon Lib "gblib1.dll" (ByVal hWind As Integer, ByVal szFilename As String) As Integer
Declare Function LoadDLLIconXY Lib "gblib1.dll" (ByVal sz_DLLFile As String, ByVal sz_ICO_Resname As String, ByVal hWind As Integer, ByVal i_Left As Integer, ByVal i_Top As Integer) As Integer
Declare Function LoadEXEIconXY Lib "gblib1.dll" (ByVal hWind As Integer, ByVal szFilename As String, ByVal i_Left As Integer, ByVal i_Top As Integer) As Integer

Declare Function SetCursor Lib "User" (ByVal hCursor As Integer) As Integer
Declare Function SetArrow Lib "gblib1.dll" (ByVal hWind As Integer) As Integer
Declare Function ModalCalc Lib "gblib1.dll" () As Integer
Declare Function ModalNotePadExec Lib "gblib1.dll" (ByVal szFilePath As String) As Integer
Declare Function ModalNotePad Lib "gblib1.dll" () As Integer
Declare Function GBSetCursorPos Lib "gblib1.dll" (ByVal hWind As Integer, ByVal XPos As Integer, ByVal YPos As Integer) As Integer
Declare Function GBDecompress Lib "gblib1.dll" (ByVal InfilePath As String, ByVal OutfilePath As String) As Integer

Declare Function GetWaveVendorID Lib "gblib1.dll" () As Integer
Declare Function GetWaveProductID Lib "gblib1.dll" () As Integer
Declare Function GetWaveDriverVersion Lib "gblib1.dll" (Major As Integer, Minor As Integer) As Integer
Declare Function GetWaveProductName Lib "gblib1.dll" (ByVal szBuffer As String, i_BufferLen As Integer) As Integer
Declare Function GetWaveNumChannels Lib "gblib1.dll" () As Integer

Declare Function GetMIDIVendorID Lib "gblib1.dll" () As Integer
Declare Function GetMIDIProductID Lib "gblib1.dll" () As Integer
Declare Function GetMIDIDriverVersion Lib "gblib1.dll" (Major As Integer, Minor As Integer) As Integer
Declare Function GetMIDIProductName Lib "gblib1.dll" (ByVal szBuffer As String, i_BufferLen As Integer) As Integer
Declare Function GetMIDIVoices Lib "gblib1.dll" () As Integer
Declare Function GetMIDINotes Lib "gblib1.dll" () As Integer
Declare Function GetMIDINumChannels Lib "gblib1.dll" () As Integer

Declare Function IsMIDIExternalSynth Lib "gblib1.dll" () As Integer
Declare Function IsMIDISquareWaveSynth Lib "gblib1.dll" () As Integer
Declare Function IsMIDIFMSynth Lib "gblib1.dll" () As Integer
Declare Function IsMIDIMapper Lib "gblib1.dll" () As Integer

Declare Function WillMidiDoVolume Lib "gblib1.dll" () As Integer
Declare Function WillMidiDoLRVolume Lib "gblib1.dll" () As Integer
Declare Function WillMidiDoCache Lib "gblib1.dll" () As Integer

Declare Function WillPlay811Mono Lib "gblib1.dll" () As Integer
Declare Function WillPlay811Stereo Lib "gblib1.dll" () As Integer
Declare Function WillPlay1611Mono Lib "gblib1.dll" () As Integer
Declare Function WillPlay1611Stereo Lib "gblib1.dll" () As Integer

Declare Function WillPlay822Mono Lib "gblib1.dll" () As Integer
Declare Function WillPlay822Stereo Lib "gblib1.dll" () As Integer
Declare Function WillPlay1622Mono Lib "gblib1.dll" () As Integer
Declare Function WillPlay1622Stereo Lib "gblib1.dll" () As Integer

Declare Function WillPlay844Mono Lib "gblib1.dll" () As Integer
Declare Function WillPlay844Stereo Lib "gblib1.dll" () As Integer
Declare Function WillPlay1644Mono Lib "gblib1.dll" () As Integer
Declare Function WillPlay1644Stereo Lib "gblib1.dll" () As Integer

Declare Function GetFreeSystemResources Lib "User" (ByVal fuSysResource As Integer) As Integer
Declare Function GetWindowsDirectory Lib "Kernel" (ByVal lpBuffer As String, ByVal nSize As Integer) As Integer
Declare Function GetSystemDirectory Lib "Kernel" (ByVal lpBuffer As String, ByVal nSize As Integer) As Integer

Declare Sub GetClientZero Lib "gblib1.dll" (ByVal hWind As Integer, i_Left As Integer, i_Top As Integer)
Declare Sub InvertRect Lib "User" (ByVal hDC As Integer, lpRect As TRECT)


Declare Sub StartWait Lib "gblib1.dll" (ByVal hWind As Integer)
Declare Sub StopWait Lib "gblib1.dll" ()
Declare Sub WaitOne Lib "gblib1.dll" ()

Declare Sub SetUpJoyStick Lib "gblib1.dll" (ByVal hWind As Integer)
Declare Sub UnSetUpJoystick Lib "gblib1.dll" ()
Declare Sub GetJoyPos Lib "gblib1.dll" (XPos As Long, YPos As Long, LButton As Integer, RButton As Integer)

Declare Sub GBPutOnTop Lib "gblib1.dll" (ByVal hWind As Integer)
Declare Sub GBNotOnTop Lib "gblib1.dll" (ByVal hWind As Integer)

Declare Sub SubClassIt Lib "gblib1.dll" (ByVal hWind As Integer)
Declare Sub UnSubClassIt Lib "gblib1.dll" ()

Declare Sub SpeakerBeep Lib "gblib1.dll" ()
Declare Sub WAITFORL Lib "gblib1.dll" (ByVal MilliSeconds As Long)
Declare Sub WaitFor Lib "gblib1.dll" (ByVal Seconds As Integer)
Declare Sub MakeUAE Lib "gblib1.dll" ()
Declare Sub GBClientToScreenRECT Lib "gblib1.dll" (ByVal hWind As Integer, ScreenRECT As TRECT)
Declare Sub DestroyDLLCursor Lib "gblib1.dll" ()
Declare Sub About Lib "gblib1.dll" (ByVal hWind As Integer)
Declare Sub Gordon Lib "gblib1.dll" ()
Declare Sub Marts Lib "gblib1.dll" ()
Declare Sub Click Lib "gblib1.dll" ()
Declare Sub Clik Lib "gblib1.dll" ()
Declare Sub Done Lib "gblib1.dll" ()
Declare Sub SystemStart Lib "gblib1.dll" ()
Declare Sub SystemEnd Lib "gblib1.dll" ()
Declare Sub SetCursorPos Lib "User" (ByVal X As Integer, ByVal Y As Integer)


Global ARECT As TRECT
Global WINDIR As String
Global SYSDIR As String

Sub GetWinDirs ()

Dim i_Length As Integer
Dim sz_Buffer As String * 255
Dim i_Size As Integer

i_Size = 255' //Length of buffer//
i_Length = GetWindowsDirectory(sz_Buffer, i_Size)
WINDIR = Left$(sz_Buffer, i_Length)

i_Size = 255' //Length of buffer//
i_Length = GetSystemDirectory(sz_Buffer, i_Size)
SYSDIR = Left$(sz_Buffer, i_Length)

End Sub

